config/routes.rb
# frozen_string_literal: true

Rails.application.routes.draw do
  root 'pages#party'

  resources :posts, only: %i[index show]
  resources :membership_requests, only: %i[new create]

  get :party, to: 'pages#party'
  get :libertarianism, to: 'pages#libertarianism'
  get :join, to: 'membership_requests#new'
  get :donate, to: 'pages#donate'

  get :platform, to: 'pages#platform'
  get :press, to: 'pages#press'
  get :success, to: 'pages#success'

  get :login, to: 'admin/sessions#new'
  post :logout, to: 'admin/sessions#destroy'

  namespace :admin do
    root 'pages#home'

    resources :illustrations, only: %i[create]
    resources :posts, except: :show
    resources :users, except: :show do
      resource :password, only: %i[edit update]
    end
    resources :invites, except: %i[edit update]

    resources :sessions, only: %i[new create destroy]
    resources :password_resets, only: %i[new create]
  end
end

app/controllers/admin/password_resets_controller.rb
# frozen_string_literal: true

module Admin
  class PasswordResetsController < BaseController
    skip_before_action :require_login

    def new
    end

    def create
      user = User.find_by_email(params[:email].downcase)
      user && UserMailer.reset_password(user).deliver_later

      redirect_to login_url, notice: t('.check_your_email')
    end
  end
end

app/views/admin/password_resets/new.html.erb
<div class="columns">
  <div class="column is-one-third is-offset-one-third">
    <h1 class="title"><%= t('.reset_password') %></h1>

    <%= form_with url: admin_password_resets_path,
          local: true,
          class: 'box' do |form| %>

      <div class="field">
        <%= form.label :email, t('.email'), class: 'label' %>
        <div class="control">
          <%= form.text_field :email, id: :email, class: 'input' %>
        </div>
      </div>

      <div class="field">
        <div class="control">
          <%= form.submit t('.reset'), class: 'button is-primary' %>
        </div>
      </div>
    <% end %>
  </div>
</div>